-- Natural Healing V1.0 Script by DarkLight --

-- Info --

-- With this script, if you stay still for 5 seconds (can be changed) youll start to heal a % of your HP (actual HP) peer second --
-- You wont start to heal if you move or you get hit --

-- Configuration --

Waiting_Time = 5 -- This is the time someone have to wait (in seconds) till he/she starts to heal. 5 secoond by default --
Healing_Rate = 5 -- This is the rate of healing, meaning youll heal this % of HP (actual HP) every second. 5% by default --

-- End of Configuration --

function Array(p)
	local array = {}
	for o = 1, p do
		array[o] = 0
	end
	return array
end

Natural_Healing = {}
Natural_Healing.Wait = Array(32)

addhook("second","Healing_Second")
function Healing_Second()
	for _,id in ipairs(player(0,"tableliving")) do
		if Natural_Healing.Wait[id] < Waiting_Time then
			Natural_Healing.Wait[id] = Natural_Healing.Wait[id] + 1
		end
		if Natural_Healing.Wait[id] == Waiting_Time then
			if player(id,"health") ~= player(id,"maxhealth") then
				parse("sethealth "..id.." "..player(id,"health")+math.ceil(player(id,"health")*(Healing_Rate/100)))
			end
		end
	end
end

addhook("move","Healing_Move")
function Healing_Move(id)
	if Natural_Healing.Wait[id] ~= 0 then
		Natural_Healing.Wait[id] = 0
	end
end

addhook("hit","Healing_Hit")
function Healing_Hit(id)
	if Natural_Healing.Wait[id] ~= 0 then
		Natural_Healing.Wait[id] = 0
	end
end 